| Home · All Classes · All Namespaces · Modules · Functions · Files

# HandleIdentifierMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- HandleIdentifierMap ()
- HandleIdentifierMap (const QMap< uint, QString > &a)
- HandleIdentifierMap & operator= (const QMap< uint, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QString>, but needed to have a discrete type in the Qt4 type system.

A map from handles to the corresponding normalized string identifier.

## Constructor & Destructor Documentation

HandleIdentifierMap | ( |  | ) | `[inline]`

HandleIdentifierMap | ( | const QMap< uint, QString > & | a | ) | `[inline]`

## Member Function Documentation

HandleIdentifierMap& operator= | ( | const QMap< uint, QString > & | a | ) | `[inline]`